# Create

Launch stage: Beta

`POST /api/2.0/clean-rooms/{auto_approval_rule.clean_room_name}/auto-approval-rules`

Create an auto-approval rule

API scopes: cleanrooms

## Path parameters

- `auto_approval_rule` (object, optional)
  - `clean_room_name` (string, optional)
    The name of the clean room this auto-approval rule belongs to.
  - `rule_id` (string, optional)
    A generated UUID identifying the rule.
  - `rule_owner_collaborator_alias` (string, optional)
    The owner of the rule to whom the rule applies.
  - `author_collaborator_alias` (string, required)
    Collaborator alias of the author covered by the rule.
     Only one of `author_collaborator_alias` and `author_scope` can be set.
  - `author_scope` (string, required)
    Scope of authors covered by the rule.
     Only one of `author_collaborator_alias` and `author_scope` can be set.
    Possible values: `AUTHOR_SCOPE_UNSPECIFIED`, `ANY_AUTHOR`
  - `runner_collaborator_alias` (string, required)
    Collaborator alias of the runner covered by the rule.
  - `created_at` (int64, optional)
    Timestamp of when the rule was created, in epoch milliseconds.

## Returns

Returns the CleanRoomAutoApprovalRule object.

## Response

```json
{
  "clean_room_name": "string",
  "rule_id": "string",
  "rule_owner_collaborator_alias": "string",
  "author_collaborator_alias": "string",
  "author_scope": "string",
  "runner_collaborator_alias": "string",
  "created_at": 0
}
```

